TESTHOST(1)

NOMBRE
testhost - comprueba el estado de un servidor de news NNTP

SINOPSIS
testhost nodo [ -a|-n fecha hora ] [ -s|-S archivo ] [ -e|-E archivo ] [ -N puerto ] [ -U usuario ] [ -P clave_de_acceso ] [ -Q ] [ -l archivo_de_frases ] [ -T tiempo_tope ] [ -d ] [ -q ] [ -z ]

OPCIONES
-a Get the active list from hostname

-d

Esta opción hace que testhost lea las descripciones de los grupos del servidor remoto usando la orden 'list newsgroups'. El servidor remoto puede aceptar o no aceptar esta orden.

-e | -E archivo

Estas opciones enviarán todos los mensajes de error (normalmente mostrados por la salida de error estándar, stderr) a un archivo distinto. La opción en minúscula, -e, enviará los mensajes de error al archivo definido en suck_config.h y compilado en suck. El valor por defecto es suck.errorlog. La opción en mayúscula, -E, necesita un nombre de archivo. Todos los mensajes de error serán enviados a dicho archivo.

-l archivo_de_frases

Esta opción hace que testhost cargue un archivo de frases alternativas, en lugar de usar los mensajes imbuidos. Esto le permite a Vd. hacer que testhost muestre sus mensajes en otra lengua o bien adaptarlos a sus necesidades sin tener que recompilar. Para más detalles, vea "FRASES EN DIVERSOS LENGUAJES" en suck(1).

-n fecha hora

Lee los grupos creados en el nodo desde la fecha y hora especificada. La fecha debe estar en formato AAMMDD y la hora en formato HHMMSS.

-N puerto

Esta opción hará que testhost use un número de puerto alternativo de NNRP cuando se conecte al nodo, en lugar del 119, que es el que se usa por defecto.

-q

Esta opción hace que testhost no muestre los mensajes de conexión, que solo muestre los resultados de la ejecución de la orden.

-s | -S archivo

Estas opciones enviarán todos los mensajes de estado (normalmente enviados a la salida estándar, stdout) a un archivo distinto. La opción en minúscula, -s, enviará los mensajes al archivo definido en suck_config.h y compilado en suck. El valor por defecto es /dev/null, esto es: no se muestran los mensajes de estado. La opción en mayúscula, -S, necesita un nombre de archivo. Todos los mensajes de estado serán enviados a dicho archivo.

-T

Esta opción reemplaza el valor precompilado de TIMEOUT, tiempo tope de conexión. Es el tiempo que testhost está esperando datos del nodo remoto antes de sobrepasar el tope y abortarse.

-U usuario

-P clave_de_acceso

Estas dos opciones le permiten a Vd. especificar un usuario y una clave de acceso si su servidor NNTP las solicita.

-Q

This option tells testhost to use the environment variable NNTP_USER & NNTP_PASS to specify a userid and password, if your NNTP server requires them. This option is provided so that the userid & password can't be seen with the ps command, a potential security problem.

-z

This options tells testhost to use SSL to talk to the remote server, if testhost was compiled with SSL.

DESCRIPCIÓN
Testhost pide datos a un servidor NNTP, especificado por nodo.

The hostname may optionally include the port number in the form Host:Port.Iftheportnumberisincluded,theportnumberspecified by the -N option will be ignored.

La acción por defecto es ejecutar la orden help en el servidor que suele mostrar el software que ejecuta y las órdenes que acepta.

If the -a option is used, testhost will display the server's active history list. If the -n date time option is used, testhost will display all new groups created on the server since the date and time specified. If the -o option is used, then testhost will display the overview format, which is what the XOVER command returns.

If the -M option is used, the command will be preceded with the "mode reader" command, which might be needed by some servers.

VALORES DEVUELTOS
0 si se acaba correctamente, -1 si hubo error.

VÉASE TAMBIÉN
suck(1), rpost(1), lpost(1).

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Javi Diaz <javid@si.upc.es>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.